POST/reviews/details

Get Reviews Details

This method allows you to retrieve detailed reviews for a specific hotel by providing the hotelcodes, sourcecodes, and shopid. You can also filter the review details by specifying a start and end date.
  • reviewsPerPage: Specifies the number of records (reviews details) to display per page, helping to limit the number of records fetched at one time.
  • pageNumber: Determines the page number of the results to view.
POST/reviews/details

Mandatory Fields

  • hotelCode
  • shopId

Note

Additionally, this endpoint enables you to configure the following options: 1. reviewsPerPage: Specifies the number of records (reviews details) to display per page, helping to limit the number of records fetched at one time. 2. pageNumber: Determines the page number of the results to view.

Parameter Details

NameInTypeRequiredDescription
reviewsPerPagequeryintegerOptionalThe number of items to display in a page
pageNumberqueryintegerOptionalIndicates the current page number
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOk
400Bad RequestValidation ErrorNone
401UnauthorizedAuthorization FailedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /reviews/details \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "hotelCode": 3960748,
  "sourceCodes": [
    1,
    283
  ],
  "shopId": 10,
  "reviewDateFilter": {
    "start": "2025-05-06",
    "end": "2025-05-06"
  }
}

Example responses

200 Response
{
  "totalRecords": 670,
  "fetchedRecords": 10,
  "totalPages": 67,
  "currentPage": 1,
  "pageSize": 10,
  "reviewDetails": [
    {
      "hotelCode": 133268,
      "websiteCode": 1,
      "reviewHeader": "",
      "reviewerName": "Peter",
      "reviewedDate": "2024-07-22T00:00:00.000Z",
      "reviewScore": 10,
      "location": null,
      "replyFromHotel": "",
      "reviewContent": "Great place with nice rooms and beautiful view (both to Mt Kinabalu and Kota Kinabalu). Standard Malaysian breakfast and decent lunch and dinner menu. Staff was very friendly and helpful. The room (104) was very good although there are a few ants around (so make sure not to leave food around). Bed, shower and toilet were nice and clean. Internet worked quite well (not guaranteed in this area). Our best place in Sabah so far (out of 6 good hotels).",
      "tripType": "Travelled with partner",
      "language": "en",
      "reviewId": "669dd2dc198e214ac36d85f4",
      "hotelId": 8011143,
      "dtCollected": "2024-09-03T09:35:52.353Z",
      "dtModified": null,
      "userId": 9,
      "queueId": 13939,
      "shopId": 1110,
      "url": "https://www.expedia.co.in/Kota-Kinabalu-Hotels-Kasih-Sayang-Health-Resort.h8011143.Hotel-Information",
      "websiteName": "EXPEDIA",
      "properties": null,
      "polarity": null,
      "sentimentScore": null,
      "authorCountry": "",
      "breakfastRating": null,
      "cleanlinessRating": null,
      "locationRating": null,
      "roomsRating": null,
      "serviceRating": null,
      "sleepQualityRating": null,
      "spaRating": null,
      "valueRating": null,
      "reviewsCount": 28,
      "reviewerType": null,
      "respondUrl": null,
      "outOfReview": 10
    }
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.